Skip to main content
`Ctrl`+`K`

# root_scalar(method=’secant’)

scipy.optimize.root_scalar(f, args=(), method=None, bracket=None, fprime=None, fprime2=None, x0=None, x1=None, xtol=None, rtol=None, maxiter=None, options=None)

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.root_scalar`

  Options:
    ——-
    args tuple, optional

      Extra arguments passed to the objective function.

    xtol float, optional

      Tolerance (absolute) for termination.

    rtol float, optional

      Tolerance (relative) for termination.

    maxiter int, optional

      Maximum number of iterations.

    x0 float, required

      Initial guess.

    x1 float, optional

      A second guess. Must be different from x0. If not specified, a value near x0 will be chosen.

    options: dict, optional

      Specifies any method-specific options not covered above.